import tkinter as tk
import main as main

class Application(tk.Frame):
    def __init__(self, master=None):
        tk.Frame.__init__(self, master)
        self.grid()
        self.createWidgets()

    def createWidgets(self):

        # Create the menu buttons
        self.connect_button = tk.Button(self, text='CONNECT', command=self.connect_button)
        self.automate_button = tk.Button(self, text='AUTOMATE', command=self.automate_button)

        # Create the text fields
        self.Label1 = tk.Label(self)
        self.Label2 = tk.Label(self)
        self.Label3 = tk.Label(self, text='Please select components:')

        # Create the drop down menu
        optionlist1 = ('--Select--', 'Composite1+Circuit1', 'Composite2+Circuit2')
        self.var1 = tk.StringVar()
        self.var1.set(optionlist1[0])
        self.om1 = tk.OptionMenu(self, self.var1, *optionlist1, command=self.select_components)

        # Set up the menu grid
        self.connect_button.grid()
        self.Label1.grid()
        self.automate_button.grid()
        self.Label2.grid()
        self.Label3.grid()
        self.om1.grid()

    def connect_button(self):
        main.open_and_connect_socket()

    def automate_button(self):
        main.automatization_manager(self.components)

    def select_components(self,value):
        self.components = value


gui = Application()
gui.master.title('Automatic Soldering UI')
gui.mainloop()
